'use strict'

exports.__esModule = true
exports.default = void 0

const useMergedRef = (...args) => (element) =>
  args.forEach((arg) => setRef(arg, element))

const setRef = (ref, value) => {
  if (typeof ref === 'function') ref(value)
  else if (ref && typeof ref === 'object') ref.current = value
}

var _default = useMergedRef
exports.default = _default
