const useMergedRef = (...args) => (element) =>
  args.forEach((arg) => setRef(arg, element))

const setRef = (ref, value) => {
  if (typeof ref === 'function') ref(value)
  else if (ref && typeof ref === 'object') ref.current = value
}

export default useMergedRef
